makeup|SDK makeup|SDK is a library based on visage|SDK face tracking used to configure and render virtual makeup.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
com.visagetechnologies.makeupsdk.IMakeupObserver Interface Reference

Inherited by com.visagetechnologies.makeupsdk.ExternalMakeupObserver, and com.visagetechnologies.makeupsdk.MakeupEngine.InternalMakeupObserver.

## Public Member Functions
abstract void | OnStart (MakeupEngine sender)
abstract void | OnEffectCreated (MakeupEngine sender, Effect effect)
abstract void | OnEffectRemoved (MakeupEngine sender, Effect effect)
abstract void | OnEffectHidden (MakeupEngine sender, Effect effect)
abstract void | OnEffectDisplayed (MakeupEngine sender, Effect effect)
abstract void | OnEffectUpdated (MakeupEngine sender, Effect effect)
abstract void | OnClear (MakeupEngine sender)

## Detailed Description

Interface. Exposes events triggered by MakeupEngine. The API client should implement this interface in order to receve notifications from the engine.

## Member Function Documentation

## ◆ OnClear()

abstract void com.visagetechnologies.makeupsdk.IMakeupObserver.OnClear | ( | MakeupEngine | sender | ) |
| abstract

Triggered when makeup effects are cleared.

Parameters

  sender | an instance of makeup engine

## ◆ OnEffectCreated()

abstract void com.visagetechnologies.makeupsdk.IMakeupObserver.OnEffectCreated | ( | MakeupEngine | sender,
|  | Effect | effect
| ) |  |
| abstract

Triggered when queried makeup effect is created.

Parameters

  sender | an instance of makeup engine
  effect | an instance of Effect class uniquely identifying created effect

## ◆ OnEffectDisplayed()

abstract void com.visagetechnologies.makeupsdk.IMakeupObserver.OnEffectDisplayed | ( | MakeupEngine | sender,
|  | Effect | effect
| ) |  |
| abstract

Triggered when makeup effect is displayed.

Parameters

  sender | an instance of makeup engine
  effect | an instance of Effect uniquely identifying displayed effect

## ◆ OnEffectHidden()

abstract void com.visagetechnologies.makeupsdk.IMakeupObserver.OnEffectHidden | ( | MakeupEngine | sender,
|  | Effect | effect
| ) |  |
| abstract

Triggered when makeup effect is hidden.

Parameters

  sender | an instance of makeup engine
  effect | an instance of Effect uniquely identifying hidden effect

## ◆ OnEffectRemoved()

abstract void com.visagetechnologies.makeupsdk.IMakeupObserver.OnEffectRemoved | ( | MakeupEngine | sender,
|  | Effect | effect
| ) |  |
| abstract

Triggered when makeup effect is removed.

Parameters

  sender | an instance of makeup engine
  effect | an instance of Effect uniquely identifying removed effect

## ◆ OnEffectUpdated()

abstract void com.visagetechnologies.makeupsdk.IMakeupObserver.OnEffectUpdated | ( | MakeupEngine | sender,
|  | Effect | effect
| ) |  |
| abstract

Triggered when makeup effect is updated.

Parameters

  sender | an instance of makeup engine
  effect | an instance of Effect uniquely identifying displayed effect

## ◆ OnStart()

abstract void com.visagetechnologies.makeupsdk.IMakeupObserver.OnStart | ( | MakeupEngine | sender | ) |
| abstract

Triggered when the application is started.

Parameters

  sender | an instance of makeup engine